org.apache.mina.filter.codec

## Class ProtocolCodecException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.mina.filter.codec.ProtocolCodecException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ProtocolDecoderException, ProtocolEncoderException

      public class ProtocolCodecException
      extends Exception

  An exception that is thrown when `ProtocolEncoder` or `ProtocolDecoder` cannot understand or failed to validate data to process.
  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtocolCodecException()` Constructs a new instance.
    `ProtocolCodecException(String message)` Constructs a new instance with the specified message.
    `ProtocolCodecException(String message, Throwable cause)` Constructs a new instance with the specified message and the specified cause.
    `ProtocolCodecException(Throwable cause)` Constructs a new instance with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProtocolCodecException

          public ProtocolCodecException()

      Constructs a new instance.

    - #### ProtocolCodecException

          public ProtocolCodecException(String message)

      Constructs a new instance with the specified message.

    - #### ProtocolCodecException

          public ProtocolCodecException(Throwable cause)

      Constructs a new instance with the specified cause.

    - #### ProtocolCodecException

          public ProtocolCodecException(String message,
                                Throwable cause)

      Constructs a new instance with the specified message and the specified cause.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.